{% extends "base.html" %}
{% block title %}Tickets{% endblock %}
{% block content %}
    <main class="m-auto pt-4" style="max-width: 1280px">
        <h1>Ticket tabel</h1>
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th scope="col" style="width: 5%">#</th>
                    <th scope="col">Titel</th>
                    <th scope="col">Medewerker</th>
                    <th scope="col">Contact persoon</th>
                    <th scope="col">Prioriteit</th>
                    <th scope="col">Status</th>
                </tr>
            </thead>
            <tbody>
                {% for ticket in ticket_list %}
                    <tr>
                        <th scope="row">{{ ticket.id }}</th>
                        <td>
                            <a href="/ticket/{{ ticket.id }}/">{{ ticket.title }}</a>
                        </td>
                        <td>{{ ticket.assignee.first_name }} {{ ticket.assignee.last_name }}</td>
                        <td>{{ ticket.contact_person }}</td>
                        <td>{{ ticket.get_priority_display }}</td>
                        <td>{{ ticket.get_status_display }}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
{% endblock %}
